org.apache.felix.gogo.runtime

## Class Expander

- java.lang.Object
- - org.apache.felix.gogo.runtime.BaseTokenizer
  - - org.apache.felix.gogo.runtime.Expander

    public class Expander
    extends BaseTokenizer

### Field Summary

### Fields inherited from class org.apache.felix.gogo.runtime.BaseTokenizer

`ch, column, EOT, index, line, text`

### Constructor Summary

Constructors
Constructor and Description
`Expander(CharSequence text, Evaluate evaluate, boolean inQuote, boolean generateFileNames, boolean semanticJoin, boolean unquote, boolean asPattern)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `expand(CharSequence word)`
`Object` `expand(CharSequence word, boolean generateFileNames, boolean semanticJoin, boolean unquote)`
`static Object` `expand(CharSequence word, Evaluate eval)` expand variables, quotes and escapes in word.
`protected List<? extends CharSequence>` `expandBraces(CharSequence arg)`
`Object` `expandPattern(CharSequence word)`
`protected List<? extends CharSequence>` `generateFileNames(CharSequence arg)`

### Methods inherited from class org.apache.felix.gogo.runtime.BaseTokenizer

`eot, escape, find, getch, getch, isBlank, peek, skipQuote, skipSpace, skipSpace, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Expander

    public Expander(CharSequence text,
                    Evaluate evaluate,
                    boolean inQuote,
                    boolean generateFileNames,
                    boolean semanticJoin,
                    boolean unquote,
                    boolean asPattern)

### Method Detail

#### expand

    public static Object expand(CharSequence word,
                                Evaluate eval)
                         throws Exception

expand variables, quotes and escapes in word.

Parameters:
  `word` - the word
  `eval` - the eval
Returns:
  Object
Throws:
  `Exception` - on exception

#### expand

    public Object expand(CharSequence word)
                  throws Exception

Throws:
  `Exception`

#### expand

    public Object expand(CharSequence word,
                         boolean generateFileNames,
                         boolean semanticJoin,
                         boolean unquote)
                  throws Exception

Throws:
  `Exception`

#### expandPattern

    public Object expandPattern(CharSequence word)
                         throws Exception

Throws:
  `Exception`

#### expandBraces

    protected List<? extends CharSequence> expandBraces(CharSequence arg)
                                                 throws Exception

Throws:
  `Exception`

#### generateFileNames

    protected List<? extends CharSequence> generateFileNames(CharSequence arg)
                                                      throws IOException

Throws:
  `IOException`